%------------------------------------------------------------------------
% Routine     : apod.m 
%
% Description : Computes apodization
%              
% Language    : Matlab 4.0
% Written by  : Vingmed sound A/S, Trond Kleveland
%
% Version no. : 1.0 TKL 28.09.90  
% Version no. : 1.1 TKL 07.09.91  
% Version no. : 2.0 VEB 18.02.93  
% Version no. : 2.1 SH  01.04.93 Rewritten now calling apodrect, and apodannu
% Version no. : 2.2 TKL 30.07.93 Corrected function name from apodiz to apod
%               2.3 FT  26.04.94 Added call to apodud
%               2.4 FT  01.09.94 Added flagg in call to apodud
%               2.5 SH  25.10.95 Relaxed test for user-defined apodization
%
% Called by   : bpusim, usimcnf
% Calling     : apodrect, apodannu
%----------------------------------------------------------------

function [apod_weight]=...
		apod(transducer, excitation, elem_pts, flagg)

%if (flagg(2)==1 & excitation(5)==4) | (flagg(2)==3 & excitation(5)==5)
%   fixed focus & user_def (point)  |  annular array & user_def (element) 
if  excitation(5)==4 | excitation(5)==5
apod_weight = apodud(elem_pts,flagg);
elseif flagg(2)==1 			% 1.5D elliptic curved array 
  [apod_weight]=...
      apodrect(transducer, excitation, elem_pts);

elseif flagg(2)==3 			% annular array
  [apod_weight]=...
      apodannu(transducer, excitation, elem_pts);

end


