%------------------------------------------------------------------------
% Routine     : bdynusim
%
% Description : Configuring excitation-parameters - 
%               beamforming - Dynamic focus				
%
% Language    : MATLAB 4.1
% Written by  : Frode Teigen, IBT
%
% Version no. : 3.0 FT 15.02.94 First Version
%               3.1 FT 23.02.94 Removed disp('EXIT = "x"')
%               3.2 FT 20.03.94 Phase noise removed -> comments
%               3.3 FT 21.03.94 Corrected spelling error
%
% Called by   : usimcnf
% Calling     : busimtxt, menu35, menu35_0, setdelay
%------------------------------------------------------------------------

function [excitation,elecdelr,elecdelt] = ...
    bdynusim(excitation,transducer,elecdelr,elecdelt,flagg)

fid = 1;

tmp=size(excitation);
if tmp(2)<12
	tmp=excitation;
	excitation=zeros([1,12]);
	excitation([1:1:length(tmp)])=tmp;
end

com1=0;
while com1~='x'
  clc

  busimtxt;
  
  disp('	CHANGE 	= "number"')
  com1 = input('-> Decision (<CR> = exit): ','s');
  if isempty(com1) com1 = 'x'; end
  if length(com1)==1 com1=['0',com1];end
  if length(com1)>2
    com1 = '00'
  end

  % changing of parameters
  if com1=='02'
    temp=input('Number of focal zones   =  ');
    if ~isempty(temp) excitation(2)=temp; end
  elseif com1=='19'
    temp=input('Number of focal zones   =  ');
    if ~isempty(temp) excitation(19)=temp; end
  elseif com1=='03'
    temp = input('Start of first focal zone  = ');
    if ~isempty(temp) excitation(3)=temp*1e-3; end
  elseif com1=='20'
    temp = input('Start of first focal zone  = ');
    if ~isempty(temp) excitation(20)=temp*1e-3; end
  elseif com1=='04'
    temp = input('End of last focal zone  = ');
    if ~isempty(temp) excitation(4)=temp*1e-3; end
  elseif com1=='21'
    temp = input('End of last focal zone  = ');
    if ~isempty(temp) excitation(21)=temp*1e-3; end
  elseif com1=='05'
     if flagg(2)==3,
    temp = menu35('Choose appodization','Hamming','Hanning','Kaiser-Bessel','User-Defined','No Appodization');
     else  
   temp = menu35('Choose appodization','Hamming','Hanning','Kaiser-Bessel','No Appodization');
     end
     if ~isempty(temp) excitation(5)=temp; end
  elseif com1=='06' & flagg(2)==1
    temp = menu35('Choose appodization','Hamming',...
	'Hanning','Kaiser-Bessel','No Appodization');
    if ~isempty(temp) excitation(6)=temp; end
%  elseif com1=='07'
%    temp=menu35('Phase Noise DEFAULT=ingen','x1o',...
%	'x2o','ro','x1o^2','x2o^2','ro^2','random');
%    if ~isempty(temp) excitation(7)=temp;end
%  elseif com1=='08'
%    temp=input('Phase Noise parameter	=  ');
%    if ~isempty(temp) excitation(8)=temp; end
  elseif com1=='14'
    temp=input('Speed of Sound	=  ');
    if ~isempty(temp) excitation(14)=temp; end
  elseif com1=='15' & flagg(2)==3 & flagg(3)==2
    disp(' Set Transducer Diameter for use in focusing algorithm');
    disp(' for calculation of electronic delays');
    disp([' Type ''0'' if you want to use the value specified in'...
	  ' the Transducer SubMenu']);
    temp=input(' Diameter	=  ');
    if ~isempty(temp) excitation(15)=temp*1e-3; end
  elseif com1=='16' & flagg(2)==3 & flagg(3)==2
    disp(' Set Transducer Radius of Curvature for use in focusing algorithm ');
    disp(' for calculation of electronic delays');
    disp([' Type ''0'' if you want to use the value specified in',...
	  ' the Transducer SubMenu']);
    temp=input('Radius of Curvature	=  ');
    if ~isempty(temp) excitation(16)=temp*1e-3; end
  elseif com1=='17' & flagg(3)==2
    temp = menu35_0('Choose focus mode','Transmit','Receive','2-Ways');
    if ~isempty(temp) & find(temp==[0 1 2])
      excitation(17) = temp;
    end    
  elseif com1=='18' & flagg(3)==2
    temp = menu35_0('Choose how to calculate electronic delays',...
	'Focusing Algorithm',...
	'Focusing Algorithm with the addition of constant delays',...
	'User-Defined Electronic Delays');
    if ~isempty(temp) & find(temp==[0 1 2])
      excitation(18) = temp;
    end  
  end
  if com1=='22' & excitation(18) & flagg(3)==2 & excitation(17)~=1
    elecdelt = setdelay('transmit',elecdelt,transducer,2 - excitation(18));
  end
  if com1=='23' & excitation(18) & flagg(3)==2 & excitation(17)~=0
    elecdelr = setdelay('receive',elecdelr,transducer,2 - excitation(18));
  end
end

