%------------------------------------------------------------------------
% Routine         : indfile
%
% Description     : returns a vector [a b c d] where a,b,c and d are 
%	            indexes of 1.axis,2.axis,dimension3 and dimension4.
%		    
%		    An index is a number as follows
%		    x/r -> 1, y/h -> 2, z/p -> 3, t -> 4 
%		    
% 		    Input (x,y) are names of the axis (x or y etc.)  
%
% Language        : Matlab syntax
% Written by      : Vebjorn Berre
% Version no.     : 1.0
%		  : 1.1 BJE 10.10.94 Autoformat, comments, fast->coord	
%		  :
% Called by	  : o3usimtxt.m, apodserv.m
%------------------------------------------------------------------------

function Y=indfile(x,y,coord)
  
  Y=[0 0 0 0];

  if x==coord(1) Y(1)=1;	% set Y(1) to the index of x
    elseif x==coord(2) Y(1)=2;
    elseif x==coord(3) Y(1)=3;
    elseif x==coord(4) Y(1)=4;
  end

  if y==coord(1) Y(2)=1;	% set Y(2) to the index of y
    elseif y==coord(2) Y(2)=2;
    elseif y==coord(3) Y(2)=3;
    elseif y==coord(4) Y(2)=4;
  end
  
  n=1;				% set Y(3) to another index
  while Y(3)==0			
      if Y(1)~=n & Y(2)~=n 
          Y(3)=n; 
      end
      n=n+1;
  end
  
  n=1;				% set Y(4) to the last available index
  while Y(4)==0
      if Y(1)~=n & Y(2)~=n & Y(3)~=n 
          Y(4)=n; 
      end
      n=n+1;
  end
  
  
