%------------------------------------------------------------------------
% Routine     : loadchek
% 
% Description : checks to see that a new configuration is
%                         consistent
% 
% Language    : MATLAB 4.0 
% Written by  : Vebjoern Berre, IBT
%
% Version no. : 3.0 VEB 16.06.93 
% Version no. : 3.1 TKL 30.08.93 observasjon has length=15 from now 
% Version no. : 3.2 TKL 02.09.93 added analysis
% Version no. : 3.3 TKL 22.09.93 removed analysis
%	      : 3.4 FT  25.01.94 changed length of media to 11
%	      : 3.5 FT  08.02.94 changed length of excitation to 21
%	        3.6 FT  29.09.94 changed length of flagg to 6
%
% Called by   : 
% Calling     : 
% ------------------------------------------------------------------------

function [excitation,observasjon,media,transducer,flagg,option]=...
    loadchek(excitation,observasjon,media,transducer,flagg,option)

tmp=size(excitation);
if tmp(2)<21
	tmp=excitation;
	excitation=zeros([1,21]);
	excitation([1:1:length(tmp)])=tmp;
	if ~excitation(14)
	  excitation(14) = 1540;
	end
end
tmp=size(observasjon);
if tmp(2)<15
	tmp=observasjon;
	observasjon=zeros([1,15]);
	observasjon([1:1:length(tmp)])=tmp;
end
tmpsize=size(media);
if tmpsize(2)==10
  tmp = media(:,8:10);
  media(:,8) = zeros(tmpsize(1),1);
  media(:,9:11) = tmp;
elseif tmpsize(2)<10
  tmp=media;
  media=zeros([tmpsize(1),11]);
  media([1:tmpsize(1)],[1:tmpsize(2)])=tmp;
end
tmp=size(transducer);
if tmp(2)<18 
  tmp=transducer;
  transducer=zeros([1,18]);
  transducer([1:1:length(tmp)])=tmp;
end

if length(flagg)<6
  tmp = flagg;
  flagg = zeros(1,6);
  flagg(1:length(tmp)) = tmp;
  if ~flagg(5)
    flagg(5) = 1;
  end
end

