%------------------------------------------------------------------------
% Routine         : sort2.m
%
% Description     : Sorts the columns of matrix x in ascending order 
%                   based on the size of the first row then the second etc.
%                   Algorithm is recursive.
%                   "dim" states how many colums there are of each x(1,:)
%                   -value
%
% Language        : Matlab syntax
% Written by      : Vebjorn Berre
% Version no.     : 3.0
% Date            : 13/4-93     
% Uses            : sort.m
%------------------------------------------------------------------------

function [Y,I,dim]=sort2(x)

sizeofx=size(x);
ind=1:sizeofx(1);
Ysortert=zeros(size(x));

[Y,I]=sort(x(1,:));
Ysortert(ind,:)=x(ind,I);

count=1;
nestey=1;
while nestey<=sizeofx(2)
  index=find(Ysortert(1,:)==Ysortert(1,nestey));
  if isempty(index)
    dim(count)=0;
  else
    dim(count)=length(index);
  end
  tempsize=size(Ysortert);
  if length(index)>1 & tempsize(1)>1
    [Ysmall,Ismall]=sort2(Ysortert(2:sizeofx(1),index));
    Ysortert(2:sizeofx(1),index)=Ysmall;
    tempI=I(index);
    I(index)=tempI(Ismall);
  end
  nestey=nestey+length(index);
  count=count+1;
end

Y=Ysortert;


