%------------------------------------------------------------------------
% Routine         : t1us15d       
%
% Description     : Configuring transducer-parameters
%	            for 1/2D CURVED RECTANGULAR ARRAY
%
% Language        : Matlab 4.2
% Written by      : Separated from t1usim.m 
%
% Version no.     : 1.0 SH  15.07.94 First Version
%
% Called by       : t1usim
% Routines called : none
%------------------------------------------------------------------------
 
function [transducer]=t1us15d(com1,lambda_local,transducer)

 if com1=='10' & transducer(6)==5
    temp=input('Elevation fixed focus  		rm = ');
    if ~isempty(temp) transducer(10)=temp*lambda_local*1e-3; end
  elseif com1=='11' & (transducer(6)==3 | transducer(6)==5)
    temp=input('Elevation fixed focus  		ro = ');
    if ~isempty(temp) transducer(11)=temp*lambda_local*1e-3; end
  elseif com1=='12' & (transducer(6)==3 | transducer(6)==5)
    temp=input('Elevation array-aperture  		ai = ');
    if ~isempty(temp) transducer(12)=temp*lambda_local*1e-3; 
      if transducer(6)==5
	transducer(5)=2*transducer(14)+transducer(12)+2*transducer(13);
      elseif transducer(6)==3
	transducer(5)=2*transducer(14)+transducer(12);
      end
    end
  elseif com1=='13' & transducer(6)==5
    temp=input('Elevation array-aperture  		am = ');
    if ~isempty(temp) 
      transducer(13)=temp*lambda_local*1e-3; 
      transducer(5)=2*transducer(14)+transducer(12)+2*transducer(13);
    end
  elseif com1=='14' & (transducer(6)==3 | transducer(6)==5)
    temp=input('Elevation array-aperture  		ao = ');
    if ~isempty(temp) 
      transducer(14)=temp*lambda_local*1e-3; 
      if transducer(6)==5
	transducer(5)=2*transducer(14)+transducer(12)+2*transducer(13);
      elseif transducer(6)==3
	transducer(5)=2*transducer(14)+transducer(12);
      end
    end
  elseif com1=='15' & transducer(6)==5
    temp=input('Elevation offset  		om = ');
    if ~isempty(temp) transducer(15)=temp*lambda_local*1e-3; end
  elseif com1=='16' & (transducer(6)==3 | transducer(6)==5)
    temp=input('Elevation offset  		oo = ');
    if ~isempty(temp) transducer(16)=temp*lambda_local*1e-3; end
  end

return
