%
% Read from file and convert string of 1 and 0 into centers and elem_pts format
%
% Sverre Holm 25.07.97
% [elem_pts, centers] = bin2c2d(fname, elem_pts, centers)
%
function [elem_pts, centers] = bin2cent(fname, elem_pts, centers)

%
% find dimensions of array
%
centers(4,:) = abs(centers(4,:));
Nx = max(abs(centers(4,:)));
Ny = max(abs(centers(5,:)));

%
% open file in text format for read-only
%
fid = fopen(fname,'rt');
%
% Input s: string array of 1s or 0s
%
disp(['Reading file ', fname ])
[s,count] = fscanf(fid,'%s',[Nx,Ny]);
fclose(fid);

disp('Converting from 1/0 to centers/elem_pts format');

on=0;
for nx = 1:Nx
   disp(sprintf('Row %i ',nx));  
   for nyy = 1:Ny
            ny = Ny-nyy+1;
            nc = find(centers(4,:)==nx & centers(5,:)==ny);
	nn = str2num(s(nx,nyy));
	if nn==0
		centers(4,nc) = -abs(centers(4,nc));
	else
		on = on + 1;
	end
   end
end
disp([num2str(on),' elements enabled of ',num2str(Nx*Ny)])
elem_pts = centelem(centers, elem_pts);
return

