%------------------------------------------------------------------------
% Routine     : loadres.m
% Description : Loads results from *res.mat-file, and plots the
%               results if an understandable simulation-method is specified
%               in the loaded file. Currently it only works on peak- and
%               energy simulation chosen in the beam-pattern submenus.
% 
% Language    : Matlab 4.1
% Written by  : Vebjorn Berre
%
% Version no. : 3.0
% Version no. : 3.1 15.07.93 TKL Changed names to resdir and res 
% Version no. : 3.2 13.08.93 TKL Bug - resdir is renamed to usr_resdir
% Version no. : 3.3 14.09.93 TKL Corrected header
%               3.4 11.02.94 FT  plots results if understandable
%                   11 oct06 np (Niall Parker) include 'd' delimiter 
%                   16.08.2007 added proper no of 's
%
% Called by   : plottool
% Calling     : 
%------------------------------------------------------------------------

function loadres(plotfigorig,usr_resdir,d);
    clc
    disp('      ');
    disp('      ');
    disp('      ');
    disp('     Your ...res.mat files in directory ')
    disp('      ');
    disp('      ');
    % add delimiter between usr directory and filename  np 11oct06
    % add proper number of 's SH 16.08.2007
    temp=['dir ''' usr_resdir,d,'*res.mat',''''];
    eval(temp);
    disp('      ');
    disp('      ');
    disp('     Please write the name of the file from where you want to')
    disp('      ');
    disp('     load previous results.')
    disp('      ');
    Loaded_file = input('       ->   Load - do not specify the res.mat extention : ','s');

% add delimiter between usr directory and filename  np 11oct06
    if exist([usr_resdir,d,Loaded_file,'res.mat']) == 2 | exist([usr_resdir,d,Loaded_file,'res.mat']) == 3
% add delimiter between usr directory and filename  np 11oct06
% add proper number of 's SH 16.08.2007
eval(['load ''' usr_resdir,d,Loaded_file,'res.mat','''']);
	if exist('method')==1
	  
	  % Method = 'energy'
	  % -----------------
	   if method(1)=='e'		
	      bpplot(plotfigorig,transducer,...
		excitation,option,observasjon,flagg,energy);

	  % Method = 'peak'
	  % ---------------
	   elseif method(1)=='p' 		
	      bpplot(plotfigorig,transducer,...
		excitation,option,observasjon,flagg,array_resp);
	    
	  % Method = 'annular'
	  % ------------------
	   elseif method(1)=='a' 	
	     disp([' This function does is not yet implemented for ',...
		       'results of Annular Array Analasys']);
	     disp(' Please try again later... , or ');
	     disp([' Try loading the file into workspace; Type ''load ',...
		  Loaded_file,'res''']);
	     disp([' Note : Loading file into workspace may destroy '...
		'existing variables']);
	
	  % Method = 'layers'
	  % -----------------
	   elseif method(1)=='l' 	
	     disp([' This function does is not yet implemented for ',...
		       'results of Layers simulations']);
	     disp(' Please try again later... , or ');
	     disp([' Try loading the file into workspace; Type ''load ',...
		  Loaded_file,'res''']);
	     disp([' Note : Loading file into workspace may destroy '...
		'existing variables']);
	
	  % Method = '2Drespons'
	  % --------------------
	   elseif method(1)=='2' 	
	     disp([' This function does is not yet implemented for ',...
		       'results of 2D Response simulations']);
	     disp(' Please try again later... , or ');
	     disp([' Try loading the file into workspace; Type ''load ',...
		  Loaded_file,'res''']);
	     disp([' Note : Loading file into workspace may destroy '...
		'existing variables']);
	
	  % Method not identified
	  %----------------------
	  else
	     disp(' ');
	     disp([' WARNING : No simulation method defined in ',Loaded_file]);
	     disp(' 	   Cannot plot results');
	     disp(' ');
	     disp([' Try loading the file into workspace; Type ''load ',...
		  Loaded_file,'res''']);
	     disp([' Note : Loading file into workspace may destroy '...
		'existing variables']);
	   end;
	   
	  % Method does not exist
	  %----------------------
	else
	  disp(' ');
	  disp([' WARNING : No simulation method defined in ',Loaded_file]);
	  disp(' 	   Cannot plot results');
	  disp(' ');
	  disp([' Try loading the file into workspace; Type ''load ',...
		Loaded_file,'res''']);
	  disp([' Note : Loading file into workspace may destroy existing ',...
		'variables']);
	end
    else
      disp('      ');
      disp(['		You have specified the file ',Loaded_file,' for loading,'])
      disp(['		but the system can not see it in your current directory'])
      disp('')
      disp('	->   Strike any key to continue.')
  end





