%------------------------------------------------------------------------
% Routine         : saveres.m
% Description     : Saves workspace to *res.mat-file
% Language        : Matlab 4.1
% Written by      : Vebjorn Berre
%
% Version no.     : 3.0
% Version no.     : 3.1 TKL 15.07.93 Changed names to res and resdir 
% Version no.     : 3.2 TKL 13.08.93 Bug resdir renamed to usr_resdir 
% Version no.     : 3.3 TKL 14.09.93 Corrected header
%                 : 3.4 FT  11.02.94 Saves entire workspace
%                           11 oct06 np (Niall Parker) include 'd' delimiter 
%                           16.08.2007 added proper no of 's
%
% Called by       : plottool
%------------------------------------------------------------------------

% input filename

    disp('      ');
    disp('      ');
    disp('     Save the current results to file :')
    disp('      ');

    Saved_file = input('       ->   Save to - do not specify the res.mat extention : ','s');
    Saved_file = [Saved_file,'res.mat'];    



% make up a string of the actual save command for an eventual use with "eval"

% add delimiter between usr directory and filename  np 11oct06
% add proper number of 's SH 16.08.2007
	temp = ['save ''' usr_resdir,d,Saved_file,''''];
    
% check if specified file should already exist
% add delimiter between usr directory and filename  np 11oct06
    if (exist([usr_resdir,d,Saved_file]) == 2 | exist([usr_resdir,d,Saved_file]) == 3)
      disp('      ');
      disp('      ');
      disp('      ');
      disp('      ');   
	tmp = ['     WARNING - The file ',Saved_file,' already exists'];
        disp(tmp)
      disp('      ');
      tmp = input('    Do you really want to overwrite the existing file [y/n] ? ','s');
      if tmp == 'y'
        eval(temp)
        disp('      ');
        disp('      ');
        disp('     Wrote file !')
        disp('      ');
      else
        disp('      ');
        disp('      ');
        disp('     Save operation skipped !')
        disp('      ');
      end
      tmp = input('    ->   Strike <CR> to continue ','s');
    else 
      eval(temp)
    end 








