%------------------------------------------------------------------------
% Routine     : setlabel.m
%
% Description : Sets labels on some menus in plottool
%
% Language    : Matlab 4.1
% Written by  : Frode Teigen (IBT) 
%
% Version no. : 3.0 FT 11.02.94 First version
%               27.09.06 SH renamed gcm to gcmus to avoid conflict
%                   with toolbox/map/mapdisp/gcm.m%
%
% Called by   : plottool
% Calling     : 
%------------------------------------------------------------------------

function setlabel();

tmp = get(gcmus,'label');
menchild = get(gcmus,'Children');

if strcmp(tmp(1),'O')			% Menu 'Options'
   tmp = get(gca,'XGrid');
   if strcmp(tmp,'off')
      set(menchild(2),'label','Grid On');
   else
      set(menchild(2),'label','Grid Off');
   end 

   if ~ishold
      set(menchild(1),'label','Hold On');
   else
      set(menchild(1),'label','Hold Off');
   end 
  
else					% Menu 'Axis'
   if strcmp(get(gca,'Visible'),'off')	    
	set(menchild(6),'label','Axis On');
   else
	set(menchild(6),'label','Axis Off');
   end
   tmp = get(gca,'XScale');
   submenchild = get(menchild(5),'Children');
   if strcmp(tmp,'log')
      set(submenchild(1),'label','Linear Scale');
   else
      set(submenchild(1),'label','Logarithmic Scale');
   end 
   tmp = get(gca,'YScale');
   submenchild = get(menchild(4),'Children');
   if strcmp(tmp,'log')
      set(submenchild(1),'label','Linear Scale');
   else
      set(submenchild(1),'label','Logarithmic Scale');
   end 
   tmp = get(gca,'ZScale');
   submenchild = get(menchild(3),'Children');
   if strcmp(tmp,'log')
      set(submenchild(1),'label','Linear Scale');
   else
      set(submenchild(1),'label','Logarithmic Scale');
   end 
end;

   
