%------------------------------------------------------------------------
% Routine     : textfunc.m
%
% Description : Callback file for text-menu in plottool.
%
% Language    : Matlab 4.1
% Written by  : Keith Rogers (Transferred from the Mathworks ftp-site)
%
% Version no. : 1.0 KR 30.11.93 First version
%             : 2.0 FT 11.02.94 made compatible with Ultrasim-plottool
%               27.09.06 SH renamed gcm to gcmus to avoid conflict
%                   with toolbox/map/mapdisp/gcm.m
%                   and renamed gco to gcous to avoid conflict
%                   with toolbox/matlab/graphics/gco.m
%
% Called by   : plottool
% Calling     : tselusim, movetxt
%------------------------------------------------------------------------

function textfunc(command,data)

obj = gcous;
if(command == 6)
	TextData = get(get(gcmus,'Parent'),'UserData');
	if(strcmp(get(gcmus,'Checked'),'off'))
		if(strcmp(get(TextData(2),'Checked'),'off'))
			set(gcmus,'UserData',get(gcf,'WindowButtonDownFcn'));
		end
		set(gcmus,'Checked','on');
		set(gcf,'WindowButtonDownFcn','movetxt(1)');
		set(TextData(2),'Checked','off');
	else
		set(gcf,'WindowButtonDownFcn',get(gcmus,'UserData'));
		set(gcmus,'Checked','off');
	end
elseif(command == 7)
	TextData = get(get(gcmus,'Parent'),'UserData');
	if(strcmp(get(gcmus,'Checked'),'off'))
		if(strcmp(get(TextData(1),'Checked'),'off'))
			set(TextData(1),'UserData',get(gcf,'WindowButtonDownFcn'));
		end
		set(gcmus,'Checked','on');
		set(gcf,'WindowButtonDownFcn','movetxt(2)');
		set(TextData(1),'Checked','off');
	else
		set(gcf,'WindowButtonDownFcn',get(TextData(1),'UserData'));
		set(gcmus,'Checked','off');
	end

elseif command==10
   	tmptxt = input(' Enter text to be displayed : ','s');
	disp(' Select Location with mouse and Press Button!')
	[xpos,ypos] = ginput(1);
	tmp = text(xpos,ypos,tmptxt);
	set(tmp,'units','normalized');

elseif(strcmp(get(obj,'Type'),'text') & obj ~= [])
	if(command == 1)
		set(obj,'FontName',data);
	elseif(command == 2)
		set(obj,'FontAngle',data);
	elseif(command == 3)
		set(obj,'FontWeight',data);
	elseif(command == 4)
		set(obj,'FontAngle','normal','FontWeight','normal');
	elseif(command == 5)
		if(data == 0)
			set(obj,'FontSize',input('Text Size?'));
		else
			set(obj,'FontSize',data);
		end
	elseif(command == 8)
		delete(obj);
	
	elseif command==9
	   axpos = get(gca,'position');
	   units = get(gcous,'units');
	   set(gcous,'units','normalized');
	   txtpos = get(gcous,'extent');
	   set(gcous,'units',units);
	   uipos = [axpos(1)+axpos(3)*txtpos(1),...
	   axpos(2)+axpos(4)*txtpos(2),...
	   2*axpos(3)*txtpos(3) 2*axpos(4)*txtpos(4)];
	   textedit = uicontrol('style','edit',...
	   	'string',get(gcous,'string'),...
	   	'units','normalized',...
	   	'position',uipos,...
		'callback','tselusim(1)');
	   obj = [gcous;textedit];
	   set(textedit,'UserData',obj);
	end
else
	error('Not a text item!');
end





