%------------------------------------------------------------------------
% Routine     : cleanscr.m
% Description : Clean up screen and keep the original setting 
%
% Language    : Matlab 4.1
% Written by  : Vingmed Sound A/S, Trond Kleveland
%
% Version no. : 1.0 TKL 15.09.93 First version
% Version no. : 1.1 TKL 22.11.93 Changed filename from CleanUpScreen.m
%                   AA/SH 17.08.00 Reversed order in for-loop in order to remove children 
%                                  before 'parents' (MATLAB 6???)
%                   SH  17.08.07 Changed order of for-loop back again
%                                (MATLAB 7???)
%      
%
% Called by   : usimcnf, plottool
% Calling     : none
%------------------------------------------------------------------------

function cleanscr(FigHandle,OrigHandle)

%
% get the current set of handles
% 
    CurrentHandle = get(FigHandle,'Children');   
%
% find the index to the handles to remove
% 
%CurrentHandle
%OrigHandle
%
% remove all handles not original ones
%
    for k = 1 : length(CurrentHandle)
%    for k = length(CurrentHandle) :-1:1
      if ~any(OrigHandle == CurrentHandle(k));
         delete(CurrentHandle(k));
      end
    end
