%------------------------------------------------------------------------
% Routine     : delasize.m
%
% Description : Adding zeros or truncating delay-matrix if # columns does
%               not equal # elements on transducer + 2.
%
% Language    : Matlab 4.1
% Written by  : Frode Teigen, IBT
%
% Version no. : 3.0 FT 15.02.94
%
% Called by   : setdelay, deltxt
% Calling     : 
%------------------------------------------------------------------------
function delay = delsize(delay,transducer);

tmpsize = size(delay);
tmp=delay;
delay = zeros(tmpsize(1),transducer(2) + 2);
tmpsize(2) = min(tmpsize(2),transducer(2) + 2);
delay(1:tmpsize(1),1:tmpsize(2)) = tmp(:,1:tmpsize(2));
