%------------------------------------------------------------------------
% Routine         : abstxt
% 
% Description     : describing abscissa
% 
% Language        : MATLAB 4.1
% Written by	  : Vebjoern Berre (IBT) 
%
% Version no.     	: 2.0 VEB 26.04.93
% Version no.     	: 2.5 SH  12.05.93
% Version no.     	: 3.0 FT  06.01.93 New option : Rectangular coord.
%                         3.1 SH  10.04.95 Added flagg(4)=4 for sin(theta) as axis
%
% Called by       	: beampat
% ------------------------------------------------------------------------

function abs_text=abstxt(option,observasjon)

if option(1)=='1'
  if option(2)=='r'
    abs_text = ['radius [mm], el = ', ...
	num2str(observasjon(2)*180/pi), ', az = ', ... 
        num2str(observasjon(3)*180/pi)];

  elseif option(2)=='h'
    abs_text = ['elevation [deg], az = ', ...
	num2str(observasjon(3)*180/pi),', ',num2str(sourctxt(observasjon(1)))];

  elseif option(2)=='p'
    abs_text = ['azimuth [deg], el = ', ... 
	num2str(observasjon(2)*180/pi),', ',num2str(sourctxt(observasjon(1)))];
  elseif option(2)=='z'
    abs_text = ['z [mm], x = ', ...
	num2str(observasjon(1)*1e3), 'mm, y = ', ... 
        num2str(observasjon(2)*1e3),'mm'];
  elseif option(2)=='x'
    abs_text = ['x [mm], y = ', ... 
	num2str(observasjon(2)*1e3),'mm, ',num2str(sourctxt(observasjon(3)))];
  elseif option(2)=='y'
    abs_text = ['y [mm], x = ', ... 
	num2str(observasjon(1)*1e3),'mm, ',num2str(sourctxt(observasjon(3)))];

  elseif option(2)=='e'
    abs_text = ['elevation sine, az = ', ...
	num2str(observasjon(3)*180/pi),', ',num2str(sourctxt(observasjon(1)))];

  elseif option(2)=='s'
    abs_text = ['azimuth sine, el = ', ... 
	num2str(observasjon(2)*180/pi),', ',num2str(sourctxt(observasjon(1)))];
  else
    disp(['Warning: abstxt doesn''t understand'])
    abs_text = [' ???? '];
  end
else
  disp(['Warning: abstxt doesn''t understand'])
  abs_text = [' ???? '];
end



