%------------------------------------------------------------------------
% Routine     : apodtxt
%
% Description :
%              
% Language    : Matlab 4.1
% Written by  : Vebjorn Berre 
%
% Version no. : 1.0 VEB 02.03.93
% 	      : 2.0 SH  01.04.93
% 	      : 3.0 VEB 20.04.93
% 	      : 3.1 TKL 10.09.93 Shortend Kaiser-Bessel txt
% 	      : 3.2 FT  12.09.93 Included 'User-Defined' 
%             : 3.3 FT  11.02.94 Changed output format
%             : 3.4 FT  26.04.94 Added User Defined (points)
%	      : 3.5 BJE 21.11.94 Removed tabs '\t'
%          3.6 SH  22.09.98 Added Chebyshev azimuth window
%
% Called by   : bpusim, busimtxt, apodrect
% Calling     : 
%----------------------------------------------------------------

function [X, Y] = apodtxt(x,y)
 
if nargin==1
  if x==1
    X=[' Hamming'];
  elseif x==2
    X=[' Hanning']; 
  elseif x==3
     X=[' Kaiser-Bessel'];
  elseif x==6
     X=[' Chebyshev'];
  elseif x==4
     X=[' User-Defined (elements)'];
    elseif x==5
    X=[' User-Defined (points)'];
  else
    X=[' no apodization']; 
  end
  
elseif nargin==2
  if x==1
    X=['Azimuth  : Hamming'];
  elseif x==2
    X=['Azimuth  : Hanning']; 
  elseif x==3
    X=['Azimuth  : Kaiser-Bessel'];
  elseif x==6
    X=['Azimuth  : Chebyshev'];
  elseif x==4
    X=['Azimuth  : User-Defined (points)'];
  else
    X=['Azimuth  : no apodization']; 
  end
  
  if y==1
    Y=['Elevation  : Hamming'];
  elseif y==2
    Y=['Elevation  : Hanning']; 
  elseif y==3
    Y=['Elevation  : Kaiser-Bessel'];
%  elseif y==4
%    Y=['Elevation  : User-Def'];
  else
    Y=['Elevation  : no apodization']; 
  end
end






