%------------------------------------------------------------------------
% Routine     : xyz2fpts.m
%
% Description : Displays matrix for manually set electronic delays (if
%               constflag = 0), or vector of constant electronic time delays
%               to be added to the delays calculated by the focusing
%               algorithm 
%
% Language    : Matlab 4.1
% Written by  : Frode Teigen, IBT
%
% Version no. : 3.0 FT 15.02.94 First Version
%
% Called by   : busimtxt
% Calling     : delsize
%------------------------------------------------------------------------

function deltxt(fid,delay,foctekst,transducer,constflag)

if strcmp(foctekst,'transmit')
  no = '22)';
else
  no = '23)';
end
if size(delay,2)~=(transducer(2)+2)
  delay = delsize(delay,transducer);
end
if ~constflag 
  fprintf(fid,[no,' Time delays - ',foctekst,' : \n']);
  fprintf(fid,['    rstart[mm] rstop[mm]       delay el.1-',...
	  num2str(transducer(2)),' [ns] \n']);
  delay(:,1:2) = delay(:,1:2)*1e-6;
  for k = 1:size(delay,1)
    fprintf(fid,' %8.0f',delay(k,:)*1e9);
    fprintf(fid,'\n');
  end
else
  fprintf(fid,[no,' Constant delays']);
  fprintf(fid,[' - el.1-',num2str(transducer(2)),' [ns] - ']);
  fprintf(fid,[foctekst,' : [']);
  fprintf(fid,' %4.0f',delay(1,3:size(delay,2))*1e9);
  fprintf(fid,' ]\n');
end
