function [dummy] = plottext(flagg,excitation,transducer,hol,rmsmax);
%------------------------------------------------------------------------
% Routine     : plottext.m
%
% Description : This routine writes important variables in the plot.
%               
%
% Language    : Matlab 4.1
% Written by  : Espen Iveland (IBT) 
%
% Version no. : 1.0 EI 15.10.93
%             : 1.5 FT 10.02.94 Changed position of text
%             : 2.0 LO 14.12.95 max(rms) included in text printed
%             : 2.1 SH 23.01.98 removed 'sc' as last par in all calls to text
% Called by   : bpplot
% Calling     : 
%------------------------------------------------------------------------


temp = axis;
centerx = (temp(1)+temp(2))/2;
tmp =centerx+(temp(2)-centerx)/4;
ystep = (temp(4)-temp(3))/17;
if (hol(1)~='a')      %  hold off

  datetext;

  text(tmp,temp(4)-4*ystep,['max = ',num2str(rmsmax), ' dB'])
  text(tmp,temp(4)-5*ystep,['Frequency = ',num2str(excitation(1)/1e6), ' MHz'])
  if flagg(2)==3
    text(tmp,temp(4)-6*ystep,['Diameter = ',num2str(transducer(1)*1e3), ' mm'])
    text(tmp,temp(4)-7*ystep,['# of elements = ',num2str(transducer(2))])
    text(tmp,temp(4)-8*ystep,['Fixed focus = ',num2str(transducer(9)*1e3), ' mm'])
  end
end

if (hol(1)=='a')        % hold on
  text(tmp,temp(4)-3*ystep,['Solid line:'])
  text(temp(1),temp(4)-ystep,['Dashed line:'])
  text(temp(1),temp(4)-2*ystep,['max = ',num2str(rmsmax), ' dB'])
  text(temp(1),temp(4)-3*ystep,['Frequency = ',num2str(excitation(1)/1e6), ' MHz'])
  if flagg(2)==3
    text(temp(1),temp(4)-4*ystep,['Diameter = ',num2str(transducer(1)*1e3), ' mm'])
    text(temp(1),temp(4)-5*ystep,['# of elements = ',num2str(transducer(2))])
    text(temp(1),temp(4)-6*ystep,['Fixed focus = ',num2str(transducer(9)*1e3), ' mm'])
  end
end
