%------------------------------------------------------------------------
% Routine     : transtxt.m
%
% Description : Returns a string describing the selected transducer 
%		type
%              
% Language    : Matlab 4.1
% Written by  : Frode Teigen 
%
% Version no. : 3.0 FT  27.09.93 First Version
% Version no. : 3.1 HGJ 30.01.96 Different type of Bessel beam
%               3.2 SH  09.10.96 Minor edition of text strings 
%               3.3 SH  11.11.96 More editing of text strings 
%               3.4 SH  27.01.97 Conical transducer
%               3.5 SH  16.03.99 Removed extra end
%
%
% Called by   : t3usimtxt
% Calling     : 
%----------------------------------------------------------------

function [y,z] = transtxt(x,transducer)
 
  if x==0
    y=[' Equal Area'];
  elseif x==1
    y=[' Equal Width '];
  elseif x==2 
    y=[' Circular ']; 
  elseif x==3
    y=[' User-Defined Width'];
  elseif x==4 
    y=[' Exact Bessel transducer'];        
  elseif x==5
    y=[' Equal-area Bessel transducer'];
  elseif x==6
    y=[' Bessel transducer (one element per lobe)'];
  elseif x==7
    y=[' 4th derivative bowtie Bessel transducer'];
  elseif x==8
    y=[' 10th derivative bowtie Bessel transducer'];
  elseif x==9
    y=[' Non-rotating Bessel transducer'];
  elseif x==10
    y=[' Axicon transducer'];
  else
    y=['Unknown transducer'];
  end





