%------------------------------------------------------------------------
% Routine         : userusim.m
% Description     : Set whitebg, cnf-path, results-path and $MATLABPATH 
%                   for USER
% Language        : MATLAB 4.0
% Written by      : Trond Kleveland 16.07.93
% Modified        : SH, VMS, 16. Nov 94: Added path separator to make it
%                                        UNIX and DOS compatible
%                   SH  30. Nov 1994: removed trailing \ from usr_resdir, 
%                                     usr_cnfdir
%
% Version no.     : 1.0
%
% Called by       : usiminit
% Routines called : none
%------------------------------------------------------------------------

%
% white- or black background for graphical windows
%
%       whitebg
%
% define USER_ULTRASIMHOME
%
% UNIX:
%        USER_ULTRASIMHOME='/hom/sverre/matlab/ultrasim';
%
% PC:
       USER_ULTRASIMHOME='C:\Documents and Settings\sverre\My Documents\Matlab\ultrasim';
%
%
% path separator d is automatically set to d='\' or d='/'
%
	c = computer;
	if (c(1:2) == 'PC')
		d = '\';
	else
		d = '/';
	end
% 
%               CONFIGURATION DIRECTORY
%
	usr_cnfdir  = [USER_ULTRASIMHOME,d,'cnf'];
%
%               RESULTS DIRECTORY
%
	usr_resdir  = [USER_ULTRASIMHOME,d,'results'];

%***********************************************************************
%
% All following is optional
%
%***********************************************************************
%
%               PE
%
%       path([USER_ULTRASIMHOME,d,'pe'],path)
%
%               BEAMPATTERN
%
%       path([USER_ULTRASIMHOME,d,'bp'],path)
%
%               ANNULAR DESIGN
%
%       path([USER_ULTRASIMHOME,d,'annulus'],path)
%
%               PHASE ABERRATIONS
%
%       path([USER_ULTRASIMHOME,d,'aberration'],path)
%
%               CW - NEARFIELD
%
%       path([USER_ULTRASIMHOME,d,'cwnear'],path)
%
%               GENERAL ULTRASIM/ MATLAB - TOOLS 
%
%       path([USER_ULTRASIMHOME,d,'txt'],path)
%       path([USER_ULTRASIMHOME,d,'toolbox'],path)
%
%               PLOT-TOOL
%
%       path([USER_ULTRASIMHOME,d,'plot'],path)
%
%               CONFIGURATION
%
%       path([USER_ULTRASIMHOME,d,'list'],path)
%       path([USER_ULTRASIMHOME,d,'view'],path)
%       path([USER_ULTRASIMHOME,d,'config'],path)
%
%               STARTUP FILES
%
%       path([USER_ULTRASIMHOME],path)





