%------------------------------------------------------------------------
% Routine         : usimstrt.m
% Description     : startup file for ultrasim
% Language        : Matlab syntax
% Written by      : Vebjorn Berre 7/1-93
%
% Version no.     : 3.0
% Version no.     : 3.1 TKL 16.07.93 whitebg moved to userusim
%                   3.2 SH  16.03.95 Added message about documentation
%                   3.3 SH  22.03.95 Corrected message for SGI computer
%                   3.4 BJE 01.05.95 Changed call to usimcnf.m, plottool.m
%                                    place detection of separator here
%                   3.5 BJE 11.05.95 Changed call to lusim
%                   3.6 SH  16.05.95 changed 'default.cnf' to 'startup.cnf'
%                   3.7 SH  30.05.95 Removed message about documentation
%                   3.8 LO  01.10.96 centers added to in/out-puts of lusim.m
%                   3.9 LO  07.10.96 usimcnf called after lusim
%                   4.0 SH  29.05.97 modified for matlab 5 (usiminit -> usim)
%                                    renamed from ultrasim.m to usimstrt.m
%                       SH  14.09.06 initialized 'coarray' in order to run
%                                    coarray tools
%
% Called by       : ultrasim
% Routines called : usimcnf, plottool, lusim
% Load files      : none
%------------------------------------------------------------------------
%
% clear workspace
%
%clear;

%
% load configuration from LOCAL startup.cnf
%
if exist([USER_ULTRASIMHOME,separator,'startup.cnf'])
  [excitation, observasjon, media, transducer, flagg, ...
    option, x, y, z, t, elem_pts, centers, elecdelr, elecdelt, comment, ...
    pvec, plength, phase_err_ud, amp_ud, ...
    array_resp, max_resp, min_resp]= ...
  lusim([USER_ULTRASIMHOME,separator,'startup.cnf'],Elec,Mech,usr_cnfdir,USER_ULTRASIMHOME,separator, ...
    excitation, observasjon, media, transducer, flagg, ...
    option, x, y, z, t, elem_pts, centers, elecdelr, elecdelt, comment, ...
    pvec, plength, phase_err_ud, amp_ud, ...
    array_resp, max_resp, min_resp);
%
% ... or from GLOBAL startup.cnf
%
elseif exist([ULTRASIMHOME,separator,'startup.cnf'])
  [excitation, observasjon, media, transducer, flagg, ...
    option, x, y, z, t, elem_pts, centers, elecdelr, elecdelt, comment, ...
    pvec, plength, phase_err_ud, amp_ud, ...
    array_resp, max_resp, min_resp]= ...
  lusim([ULTRASIMHOME,separator,'startup.cnf'],Elec,Mech,usr_cnfdir,USER_ULTRASIMHOME,separator, ...
    excitation, observasjon, media, transducer, flagg, ...
    option, x, y, z, t, elem_pts, centers, elecdelr, elecdelt, comment, ...
    pvec, plength, phase_err_ud, amp_ud, ...
    array_resp, max_resp, min_resp);
else
  %
  % ... or none
  %
  fprintf('\nWarning: No startup configuration available\n');
end
%
% Initialize   ULTRASIM - CONFIGURATION - CALCULATIONS   window
%
config=usimcnf('initialize',flagg,option);
usimcnf('update_allflags',flagg,option);
%
% Initialize   ULTRASIM - PLOT   window
%
plotfig=plottool('initialize');
%
% Save OrigHandles
%
configOrigHandle=get(config,'Children');
plotfigOrigHandle=get(plotfig,'Children');
clear cc
fprintf('\n');
