%------------------------------------------------------------------------
% Routine         : vwapod.m
%
% Description     : View of apodization
%
% Language        : MATLAB 4.0
% Written by      : Vebjorn Berre 22/4-93
% Version no.     : 3.0
%                 : 3.1 FT 26.04.94 Test if apod. is user-def.
%                 : 3.2 SH 28.11.94 Test whether the transducer is 1D or 2D
%                 : 3.4 HJG 29.0196 Test if apod. is user-def ( Bessel Beam) 
% Revised         : 
% Called by       : usimcnf
%------------------------------------------------------------------------

function Y=vwapod(transducer,excitation,elem_pts,flagg)

apod_weight=apod(transducer,excitation,elem_pts,flagg);
subplot(2,2,1),

  plotx0(elem_pts(2,:),1000*elem_pts(1,:),apod_weight)
  title(['Azimuth : ',num2str(apodtxt(excitation(5)))])
  xlabel('x [mm]')
if (transducer(7) >= 3 | transducer(18) >= 4  ),  % 2-Dimensional plot possible
 subplot(2,2,3),
  plotx0(elem_pts(1,:),1000*elem_pts(2,:),apod_weight)
  if flagg(2)==1
    title(['Elevation : ',num2str(apodtxt(excitation(6)))])
  elseif flagg(2)==3
    title(['Elevation : ',num2str(apodtxt(excitation(5)))]),
    if excitation(5)~=5
      disp(['Remember correction factor for #pts if this ',...
		'doesn''t look right ???']);
    end 
  end
  xlabel('y [mm]')
  subplot(1,2,2),

  vw(1000*elem_pts(1,:),1000*elem_pts(2,:),apod_weight,flagg(2));

  xlabel('x [mm]')
  ylabel('y [mm]')
  title('Apodization')
end





