%------------------------------------------------------------------------
% Routine         	: vwtrans.m
% 
% Description     	: view of transducer
% 
% Language        	: MATLAB 4.0 
% Originator, date	: VEB 22/4-93
% Version no		: 1.1 10.06.1993 SH
%                         1.2  3. 1.1995 SH transducer in call
%                         1.3  8. 5.1996 SH check for thinned elements
%                         1.4 20.05.1996 SH added az/el controls and 'figure_handle' in call
% Called by       	: 
% Routines called 	: vwhex, vwrect, vwctrl
% ------------------------------------------------------------------------

function Y=vwtrans(elem_pts,flagg,transducer,figure_handle)

thinned = ~isempty(find(elem_pts(4,:) <= 0));
if (thinned),
 disp('Cannot plot surface plot of thinned transducers, use ''2D-plot'' option instead!');
 return
end

x1=elem_pts(1,:);
x2=elem_pts(2,:);
x3=elem_pts(3,:);

figure(figure_handle)
subplot(1,1,1),
vwctrl('dismiss',figure_handle);			% clear old view controls



if flagg(2)==1
  if (transducer(7) >= 3), 		% 2-Dimensional plot possible
    vwrect(1000*x1,1000*x2,1000*x3);
    xlabel('x [mm]')
    ylabel('y [mm]')
    zlabel('z [mm]')
  else
     disp('Less than 3 elements in elevation, use the ''2-D plots'' option instead');
     return
  end
elseif flagg(2)==3 
  vwhex(1000*x1,1000*x2,1000*x3);
  xlabel('x [mm]')
  ylabel('y [mm]')
  zlabel('z [mm]')
end
title('the Transducer')

v=axis;
v(5) = min(v(5),-1);
v(6) = max(v(6),1);
axis(v);
grid

vwctrl('init',figure_handle)



