%------------------------------------------------------------------------
% Routine         : vwtrdfcy.m
%
% Description     : View of transducer fancy version
%
% Language        : Matlab syntax
% Written by      : Vebjorn Berre
% Version no.     : 3.0 VEB 01.04.93
%                 : 3.1 SH  20.04.93 
%                 : 3.2 BJE 23.04.95 Removed colormap
%    
% Called by       : usimcnf 
%------------------------------------------------------------------------

function Y=vwtrdfcy(transducer,elem_pts)
  
  P=transducer(2);
  R=transducer(3);
  
  Q=transducer(6);
  S=transducer(7);
  
  x=elem_pts(1,:);
  y=elem_pts(2,:);
  z=elem_pts(3,:);
  nn=elem_pts(4,:);
  mm=elem_pts(5,:);
  
% memory allocation temporary set nyx, nyy and nyz
  nyx=ones(1,P*Q*R*S);
  nyy=nyx;
  nyz=nyx;
  
% memory allocation temporary set nyx, nyy and nyz
  nyx=ones(1,P*R*Q*S);
  nyy=nyx;
  nyz=nyx;
  
  lastind=0;
  for ctx=1:P*R 				% index to all different x-values
      tmpind=find(x==x(lastind+1));
      ind=[tmpind(1):1:tmpind(length(tmpind))];
      ltmp=(Q*S-length(ind))/2;
      nyx([(ctx-1)*Q*S+1:1:ctx*Q*S])=x(lastind+1)*ones(1,Q*S);
      nyy([(ctx-1)*Q*S+1:1:ctx*Q*S])=[y(ind(1))*ones(1,ltmp)  y(ind) y(ind(length(ind)))*ones(1,ltmp) ];
      nyz([(ctx-1)*Q*S+1:1:ctx*Q*S])=[z(ind(1))*ones(1,ltmp)  z(ind) z(ind(length(ind)))*ones(1,ltmp) ];
      lastind=ind(length(ind));
  end
  
  
  disp('WAIT PLOTTING........')
      
  subplot(1,1,1)
  xx=reshape(nyx,S*Q,P*R);
  yy=reshape(nyy,S*Q,P*R);
  zz=reshape(nyz,S*Q,P*R);
  
  surfl(1000*xx',1000*yy',1000*zz')
  
  v=axis;
  v(5) = min(v(5),-1);
  v(6) = max(v(6),1);
  axis(v);
  
  xlabel('x'),ylabel('y'),zlabel('z');
  
  disp('Finished!')
  disp('Enter ''uitrsd'' to get pop-ups and sliders for controlling the plot')
  fprintf('\n');
  
  
  
  
